Skip to main content
POST
/
v1
/
payments
/
links
Create a payment link
curl --request POST \
  --url https://api.sandbox.busha.so/v1/payments/links \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "fixed": true,
  "one_time": true,
  "name": "<string>",
  "title": "<string>",
  "description": "<string>",
  "target_currency": "BTC",
  "quote_amount": "100",
  "quote_currency": "BTC",
  "target_amount": "100",
  "require_extra_info": [
    {
      "field_name": "<string>",
      "required": true
    }
  ],
  "images": [
    "<string>"
  ],
  "allow_customer_amount": true,
  "amount_limit": {
    "min_amount": "100",
    "max_amount": "100"
  },
  "allow_quantity_selection": true,
  "dry_run": true
}
'
{
  "status": "success",
  "message": "message for success",
  "data": {
    "id": "bus_123456789",
    "profile_id": "bus_123456789",
    "fixed": false,
    "one_time": false,
    "link": "https://pay.busha.io/charges/123456789",
    "name": "Payment Link",
    "title": "<string>",
    "description": "<string>",
    "target_currency": "BTC",
    "status": "pending",
    "created_at": "2023-10-15T12:15:30Z",
    "updated_at": "2023-10-15T12:15:30Z",
    "quote_amount": "100",
    "quote_currency": "BTC",
    "target_amount": "100",
    "meta": {
      "images": [
        "<string>"
      ],
      "allow_customer_amount": true,
      "amount_limit": {
        "min_amount": "100",
        "max_amount": "100"
      },
      "allow_quantity_selection": true,
      "require_extra_info": [
        {
          "field_name": "<string>",
          "required": true
        }
      ]
    },
    "pub_key": "<string>",
    "expires_at": "2023-10-15T12:15:30Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer Authentication

Headers

X-BU-PROFILE-ID
string

User profile header

Example:

"BUS_YOK8tp5Zga01qOKEsqp07"

Body

application/json
fixed
boolean
required
one_time
boolean
required
name
string
required
title
string
required
description
string
required
target_currency
string<string>
required

A valid currency

Required string length: 1 - 10
Example:

"BTC"

quote_amount
string

decimal value

Example:

"100"

quote_currency
string<string>

A valid currency

Required string length: 1 - 10
Example:

"BTC"

target_amount
string

decimal value

Example:

"100"

require_extra_info
object[]
images
string<url>[]
allow_customer_amount
boolean
amount_limit
object
allow_quantity_selection
boolean
dry_run
boolean

if true, will not create a payment transfer

Response

Successful response

General response Values

status
enum<string>
required
Available options:
success,
error
Example:

"success"

message
string
required
Example:

"message for success"

data
object
required